Loading...
Searching...
No Matches
Opm::FluidStateImmiscibleCompositionModule< Scalar, FluidSystem, Implementation > Class Template Reference

Module for the modular fluid state which provides the phase compositions assuming immiscibility. More...

`#include <FluidStateCompositionModules.hpp>`

## Public Types

enum | { numComponents = FluidSystem::numComponents }

## Public Member Functions

Scalar | moleFraction (unsigned phaseIdx, unsigned compIdx) const
| The mole fraction of a component in a phase [].
Scalar | massFraction (unsigned phaseIdx, unsigned compIdx) const
| The mass fraction of a component in a phase [].
Scalar | averageMolarMass (unsigned phaseIdx) const
| The mean molar mass of a fluid phase [kg/mol].
Scalar | molarity (unsigned phaseIdx, unsigned compIdx) const
| The concentration of a component in a phase [mol/m^3].
template<class FluidState>
void | assign (const FluidState &)
| Retrieve all parameters from an arbitrary fluid state.
void | checkDefined () const
| Make sure that all attributes are defined.

## Protected Member Functions

const Implementation & | asImp_ () const

## Detailed Description

template<class Scalar, class FluidSystem, class Implementation>
class Opm::FluidStateImmiscibleCompositionModule< Scalar, FluidSystem, Implementation >

Module for the modular fluid state which provides the phase compositions assuming immiscibility.

## Member Function Documentation

## averageMolarMass()

template<class Scalar, class FluidSystem, class Implementation>

Scalar Opm::FluidStateImmiscibleCompositionModule< Scalar, FluidSystem, Implementation >::averageMolarMass | ( | unsigned | phaseIdx | ) | const

inline

The mean molar mass of a fluid phase [kg/mol].

The average mass is the mean molar mass of a molecule of the fluid at current composition. It is defined as the sum of the component's molar masses weighted by the current mole fraction:

## checkDefined()

template<class Scalar, class FluidSystem, class Implementation>

void Opm::FluidStateImmiscibleCompositionModule< Scalar, FluidSystem, Implementation >::checkDefined | ( |  | ) | const

inline

Make sure that all attributes are defined.

This method does not do anything if the program is not run under valgrind. If it is, then valgrind will print an error message if some attributes of the object have not been properly defined.

## molarity()

template<class Scalar, class FluidSystem, class Implementation>

Scalar Opm::FluidStateImmiscibleCompositionModule< Scalar, FluidSystem, Implementation >::molarity | ( | unsigned | phaseIdx,
|  | unsigned | compIdx ) const

inline

The concentration of a component in a phase [mol/m^3].

This quantity is often called "molar concentration" or just "concentration", but there are many other (though less common) measures for concentration.

http://en.wikipedia.org/wiki/Concentration

The documentation for this class was generated from the following file:

- opm/material/fluidstates/FluidStateCompositionModules.hpp